aimldocs

Payment callbacks

payment gateway callbacks (signed, no bearer)

POST
/webhooks/razorpay

Response Body

application/json

application/json

curl -X POST "https://example.com/webhooks/razorpay"
{  "invoice": "AIML/26-27/000001",  "replay": false,  "topup": "tup_01J9ZK2K4Q7Q3M3QX1V0F1TUP1"}
POST
/webhooks/stripe

Response Body

application/json

application/json

curl -X POST "https://example.com/webhooks/stripe"
{  "invoice": "AIML/26-27/000003",  "replay": false,  "topup": "tup_01J9ZK2K4Q7Q3M3QX1V0F1TUP2"}
POST
/webhooks/reseller/{reseller_id}/stripe

Path Parameters

reseller_id*string

Response Body

application/json

application/json

curl -X POST "https://example.com/webhooks/reseller/string/stripe"
{  "topup": "rcp_01J9ZK2K4Q7Q3M3QX1V0PAYMNT",  "status": "booked",  "replay": false}
POST
/webhooks/reseller/{reseller_id}/razorpay

Path Parameters

reseller_id*string

Response Body

application/json

application/json

curl -X POST "https://example.com/webhooks/reseller/string/razorpay"
{  "topup": "rcp_01J9ZK2K4Q7Q3M3QX1V0PAYMNT",  "status": "booked",  "replay": false}